unit uMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,iTunesLib_TLB, ActnList, AppEvnts, ExtCtrls, Menus, StdCtrls, ComCtrls;

const
  ID_PLAY = 102;
  ID_SHOW = 103;
  ID_NEXT = 104;
  ID_PREV = 105;

type
  TForm1 = class(TForm)
    ActionList1: TActionList;
    ActionPlay: TAction;
    ActionPause: TAction;
    TrayIcon1: TTrayIcon;
    PopupMenu1: TPopupMenu;
    ActionQuit: TAction;
    Exit1: TMenuItem;
    ActionAbout: TAction;
    btnOk: TButton;
    Label1: TLabel;
    Label2: TLabel;
    ActionAbout1: TMenuItem;
    ActionShowFlip: TAction;
    ActionNext: TAction;
    ActionPrev: TAction;
    ActionPlayPause: TAction;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ActionPlayExecute(Sender: TObject);
    procedure ActionPauseExecute(Sender: TObject);
    procedure ActionQuitExecute(Sender: TObject);
    procedure ActionAboutExecute(Sender: TObject);
    procedure btnOkClick(Sender: TObject);
    procedure ActionShowFlipExecute(Sender: TObject);
    procedure ActionNextExecute(Sender: TObject);
    procedure ActionPrevExecute(Sender: TObject);
    procedure ActionPlayPauseExecute(Sender: TObject);
  private
    { Private declarations }
    procedure WMHotKey(var Msg : TWMHotKey); message WM_HOTKEY;
  public
    { Public declarations }
    its:IiTunes;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ActionQuitExecute(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.ActionShowFlipExecute(Sender: TObject);
begin
  if its.BrowserWindow.Maximized then
  begin
    its.BrowserWindow.Maximized:=False;
    its.BrowserWindow.Minimized:=True;
  end
  else
  begin
    its.BrowserWindow.Minimized:=False;
    its.BrowserWindow.Maximized:=True;
  end;
end;

procedure TForm1.btnOkClick(Sender: TObject);
begin
  Hide;
end;

procedure TForm1.ActionAboutExecute(Sender: TObject);
begin
  Show;
end;

procedure TForm1.ActionNextExecute(Sender: TObject);
begin
  its.PreviousTrack;
end;

procedure TForm1.ActionPauseExecute(Sender: TObject);
begin
  its.Pause;
end;

procedure TForm1.ActionPlayExecute(Sender: TObject);
begin
  its.Play;
end;

procedure TForm1.ActionPlayPauseExecute(Sender: TObject);
begin
  its.PlayPause;
end;

procedure TForm1.ActionPrevExecute(Sender: TObject);
begin
  its.NextTrack;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  its:=CoiTunesApp.Create;
  its.Play;
  RegisterHotKey(Handle,ID_PLAY,MOD_WIN,VK_SPACE);
  RegisterHotKey(Handle,ID_SHOW,MOD_WIN,Ord('I'));
  RegisterHotKey(Handle,ID_NEXT,MOD_WIN,VK_LEFT);
  RegisterHotKey(Handle,ID_PREV,MOD_WIN,VK_RIGHT);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  UnregisterHotKey(Handle,ID_PLAY);
  UnregisterHotKey(Handle,ID_SHOW);
  UnregisterHotKey(Handle,ID_NEXT);
  UnregisterHotKey(Handle,ID_PREV);
  its.Quit;
end;

procedure TForm1.WMHotKey(var Msg: TWMHotKey);
begin
  case msg.HotKey of
    ID_PLAY :ActionPlayPauseExecute(self);
    ID_SHOW :ActionShowFlipExecute(self);
    ID_NEXT :ActionNextExecute(self);
    ID_PREV :ActionPrevExecute(self);
  end;

end;

end.
